Bug 27980 - Replace obsolete title-string sorting: Catalog templates
Summary: Replace obsolete title-string sorting: Catalog templates
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks: 27934 28171
  Show dependency treegraph
 
Reported: 2021-03-18 10:47 UTC by Owen Leonard
Modified: 2021-06-03 13:23 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27980: Replace obsolete title-string sorting: Catalog templates (12.32 KB, patch)
2021-03-18 12:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27980: Replace obsolete title-string sorting: Catalog templates (12.38 KB, patch)
2021-03-19 08:21 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 27980: Replace obsolete title-string sorting: Catalog templates (12.44 KB, patch)
2021-03-22 11:10 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27980: (follow-up) Address missing instance (1.94 KB, patch)
2021-03-25 13:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27980: Replace obsolete title-string sorting: Catalog templates (12.44 KB, patch)
2021-03-26 12:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27980: (follow-up) Address missing instance (2.00 KB, patch)
2021-03-26 12:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27980: (QA follow-up) Add missing case (1.96 KB, patch)
2021-03-26 12:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27980: Remove itemdata_publisheddate from controller (960 bytes, patch)
2021-04-06 13:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-18 10:47:58 UTC
This patch will modify the following templates to replace the old "title-string" DataTables sorting method with the built-in method using "data-order" attributes.

  intranet-tmpl/prog/en/modules/catalogue/detail.tt
  intranet-tmpl/prog/en/modules/catalogue/issuehistory.tt
  intranet-tmpl/prog/en/modules/catalogue/search-history.tt
  intranet-tmpl/prog/en/modules/cataloguing/additem.tt
Comment 1 Owen Leonard 2021-03-18 12:45:12 UTC
(In reply to Owen Leonard from comment #0)
>   intranet-tmpl/prog/en/modules/cataloguing/additem.tt

Interloper.
Comment 2 Owen Leonard 2021-03-18 12:52:54 UTC
Created attachment 118459 [details] [review]
Bug 27980: Replace obsolete title-string sorting: Catalog templates

This patch modifies several catalog templates to replace the use of
the "title-string" DataTables sorting method with the newer
"data-order" attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

 - Catalog -> Search -> Bibliographic detail page
 - Catalog -> Search -> Bibliograhpic detail page -> Checkout history
 - Search history
   - Current and previous catalog search sessions
   - Current and previous authority search sessions
Comment 3 Amit Gupta 2021-03-19 08:21:21 UTC
Created attachment 118497 [details] [review]
Bug 27980: Replace obsolete title-string sorting: Catalog  templates

This patch modifies several catalog templates to replace the use of
the "title-string" DataTables sorting method with the newer
"data-order" attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

 - Catalog -> Search -> Bibliographic detail page
 - Catalog -> Search -> Bibliograhpic detail page -> Checkout history
 - Search history
   - Current and previous catalog search sessions
   - Current and previous authority search sessions
Comment 4 Martin Renvoize 2021-03-22 11:10:52 UTC
Created attachment 118581 [details] [review]
Bug 27980: Replace obsolete title-string sorting: Catalog templates

This patch modifies several catalog templates to replace the use of
the "title-string" DataTables sorting method with the newer
"data-order" attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

 - Catalog -> Search -> Bibliographic detail page
 - Catalog -> Search -> Bibliograhpic detail page -> Checkout history
 - Search history
   - Current and previous catalog search sessions
   - Current and previous authority search sessions

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2021-03-22 11:12:22 UTC
Passed QA
Comment 6 Owen Leonard 2021-03-25 13:49:22 UTC
Created attachment 118799 [details] [review]
Bug 27980: (follow-up) Address missing instance

- Search history -> Current and previous catalog searches
Comment 7 Martin Renvoize 2021-03-26 12:15:32 UTC
Created attachment 118851 [details] [review]
Bug 27980: Replace obsolete title-string sorting: Catalog templates

This patch modifies several catalog templates to replace the use of
the "title-string" DataTables sorting method with the newer
"data-order" attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

 - Catalog -> Search -> Bibliographic detail page
 - Catalog -> Search -> Bibliograhpic detail page -> Checkout history
 - Search history
   - Current and previous catalog search sessions
   - Current and previous authority search sessions

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2021-03-26 12:15:36 UTC
Created attachment 118852 [details] [review]
Bug 27980: (follow-up) Address missing instance

- Search history -> Current and previous catalog searches

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2021-03-26 12:15:40 UTC
Created attachment 118853 [details] [review]
Bug 27980: (QA follow-up) Add missing case

We missed one last case ;)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2021-03-26 12:16:09 UTC
Nice one.. I spotted one last case which I've address in a QA follow-up.

Passing
Comment 11 Jonathan Druart 2021-04-06 13:11:11 UTC
Created attachment 119218 [details] [review]
Bug 27980: Remove itemdata_publisheddate from controller

This TT var was only used once, and remove in the previous patch
Comment 12 Jonathan Druart 2021-04-06 13:58:27 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 13 Fridolin Somers 2021-04-19 09:27:30 UTC
Enhancement not pushed to 20.11.x